<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i>
                        &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item" *ngIf="joborders.idStatusType == 10">
                    <a class="btn" (click)="delete(joborders)" style="cursor: pointer;"><i class="fa fa-ban"></i>
                        Batalkan JO</a>
                </li>
                <li class="nav-item" *ngIf="joborders.idStatusType == 10">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_jobOrderNumber">Job Order Number</label>
                        <input type="text" class="form-control" name="jobOrderNumber" id="field_jobOrderNumber"
                            [(ngModel)]="joborders.orderNumber" readonly />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divReciver">Send To</label>
                        <input type="text" class="form-control" name="divReciver" id="field_divReciver"
                            [(ngModel)]="joborders.divReciver" readonly />
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.divReciver === 'IT' || joborders.divReciver === 'PSU'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_kategori">Kategori Masalah</label>
                        <input type="text" class="form-control" name="kategori" id="field_kategori"
                            [(ngModel)]="joborders.kategori" readonly />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_createdBy">Created By</label>
                        <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                            [(ngModel)]="joborders.createdBy" style="text-transform: uppercase;" readonly />
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Job Order Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="joborders.dtOrder"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-MM-yy" [showTime]="true" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFnsBfr">Finished Before Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFnsBfr" name="input_dtFnsBfr" [(ngModel)]="joborders.dtFnsBfr"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-MM-yy" [showTime]="true" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.kategori !== null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            Kategori Permasalahan
                        </label>
                        <input type="text" class="form-control" name="kategori" id="field_inputAppDept"
                            [(ngModel)]="kategori" readonly />
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType === 10 && appdept !== null && appdept1 === null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span>
                        </label>
                        <select class="form-control" id="field_divition" name="inputAppDept" [(ngModel)]="inputAppDept">
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType === 10 && appdept !== null && appdept1 !== null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span>
                        </label>
                        <select class="form-control" id="field_divition" name="inputAppDept" [(ngModel)]="inputAppDept">
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType !== 10 && appdept !== null &&  appdept1 === null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span>
                        </label>
                        <input type="text" class="form-control" name="inputAppDept" id="field_inputAppDept"
                            [(ngModel)]="appdept" style="text-transform: uppercase;" readonly />
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType !== 10 && appdept !== null &&  appdept1 !== null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span>
                        </label>
                        <input type="text" class="form-control" name="inputAppDept" id="field_inputAppDept"
                            [(ngModel)]="appdept" style="text-transform: uppercase;" readonly />
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType === 10 && appdept1 !== null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divReciver">Approved By Manager</label>
                        <select class="form-control" id="field_divition" name="inputAppDept1"
                            [(ngModel)]="inputAppDept1">
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang1">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>

                <div class="col-md-12" *ngIf="joborders.idStatusType !== 10 && appdept1 !== null">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            Approved By Manager
                        </label>
                        <input type="text" class="form-control" name="inputAppDept1" id="field_inputAppDept"
                            [(ngModel)]="appdept1" style="text-transform: uppercase;" readonly />
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="from-group">
                        <div class="form-group">
                            <label class="form-control-label" for="field_jobDesc">Job Description</label>
                            <textarea rows="5" cols="106" pInputTextarea autoResize="autoResize"
                                [(ngModel)]="joborders.jobDescription" name="jobDesc"></textarea>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <label class="form-control-label" for="field_Attachment">Attachment</label>
                        <br>
                        <p-lightbox type="content">
                            <a class="group" href="#">
                                <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content"
                                    style="max-height: 230px;" alt="joborders image" />
                            </a>
                            <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content"
                                style="max-width: 500px;" alt="joborders image" />
                        </p-lightbox>
                        <div>
                            <div *ngIf="joborders.content" class="form-text text-danger clearfix">
                                <div style="text-align: left">
                                    <span>{{joborders.contentContentType}}, {{byteSize(joborders.content)}}</span>
                                    <!-- <br> -->&nbsp;&nbsp;&nbsp;
                                    <button type="button"
                                        (click)="download(joborders.content, joborders.contentContentType ,'fileImage')"
                                        class="btn btn-secondary btn-xs">
                                        <span class="fa fa-download"></span>
                                    </button>
                                    <button type="button"
                                        (click)="clearInputImage('content', 'contentContentType', 'fileImage')"
                                        class="btn btn-secondary btn-xs"
                                        [hidden]="( joborders.idStatusType === '11' || joborders.idStatusType === '12' || joborders.idStatusType === '14' || joborders.idStatusType === '16')">
                                        <span class="fa fa-times"></span>
                                    </button>
                                </div>
                            </div>
                            <br>
                            <div
                                [hidden]="( joborders.idStatusType === '11' || joborders.idStatusType === '12' || joborders.idStatusType === '14' || joborders.idStatusType === '16')">
                                <input type="file" id="file_content"
                                    (change)="setFileData($event, joborders, 'content', true)"
                                    accept="image/*,.csv,.xlsx,.pdf" jhiTranslate="entity.action.addimage" />
                                <div [hidden]="!isValidImage" class="text-danger">
                                    {{'mpmApp.document.fileLimit' | translate}}
                                </div>
                                <div>
                                    <small>max file size: {{maxFileSize | ByteSize}}</small>
                                </div>
                                <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                                <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile"
                                    required>
                                <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                            </div>
                        </div>

                        <input type="hidden" class="form-control" name="content" id="field_content"
                            [(ngModel)]="joborders.content" />
                        <input type="hidden" class="form-control" name="contentContentType"
                            id="field_contentContentType" [(ngModel)]="joborders.contentContentType" />
                    </div>
                </div>
            </div>
    </p-panel>
</form>
<p-dialog header="Alasan Cancel" [(visible)]="newModalNote1" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="modalCancelJO()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_cancelnote" name="cancelnote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="noteCancelJO" required>
            </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Cancel JO" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
  </p-dialog>
<p-confirmDialog></p-confirmDialog>